User: Password:
|
|
Subscribe / Log in / New account

Debates on the future of Compiz

Debates on the future of Compiz

Posted Jan 8, 2009 15:27 UTC (Thu) by me@jasonclinton.com (✭ supporter ✭, #52701)
In reply to: Debates on the future of Compiz by tajyrink
Parent article: Debates on the future of Compiz

No, DRI2 solves this problem which is not the same as the 2.5 branch. You need Mesa 7.2, Xorg 1.6.99.x and a suitable DRI2-capable video driver. Incidentally, it also fixes video and OpenGL app. rendering on Metacity Xrender and Mutter and KWin4.

With DRI2, rendering contexts just work the way you'd expect.


(Log in to post comments)

Debates on the future of Compiz

Posted Jan 9, 2009 16:50 UTC (Fri) by daenzer (✭ supporter ✭, #7050) [Link]

DRI2 is not a requirement for properly integrating XVideo with a compositing manager. The driver just needs to provide a textured XVideo adaptor for that (and the video player application needs to use that, obviously :).

DRI2 is indeed a requirement for properly integrating accelerated client OpenGL rendering output with a compositing manager though.


Copyright © 2017, Eklektix, Inc.
Comments and public postings are copyrighted by their creators.
Linux is a registered trademark of Linus Torvalds